#include "include.hxx"

#include <QTextEdit>
#include <QPushButton>
#include <QMainWindow>
#include <QListWidget>
#include <QStackedWidget>

#include "Binary.hxx"

class Mainwindow : public QMainWindow {
    Q_OBJECT
public:
    Mainwindow();
private:
    void populateSymbolInformation(const std::string& sym);

    QTextEdit *textEdit;
    QPushButton *quitButton;
    QMenu *fileMenu;

    QTabWidget * tabwidget;
    QListWidget * listWidget;
    QStackedWidget * stackedWidget;
    QDockWidget * dockWidget;

    QAction *exitAction;
    QAction *openAction;

    qtlldb::Binary * curBin;
private slots:
    void quit();
    void open();
};
